Page MenuHomePhabricator

[EPIC] AMC Navigation - page/talk toggle
Closed, ResolvedPublic

Description

User Story

As an editor, I want easy access to the talk page of a page so that I can review and participate in discussions about articles I care about

Acceptance Criteria

  • For any page that has a talk page, the navigation will display two tabs: primary and talk/discussion
    • For pages that have an empty talk page, the talk page tab will still be displayed (no red link)
  • Naming - the text on each tab will be the text appearing on the desktop versions of the page based on project, language, and namespace.
    • For example, the WP namespace will have tabs that read “project page” and “talk”
  • For pages that do not have a talk page, no second tab will be displayed.
    • For example, Special:SpecialPages will only have the default tab “Special page”
  • Width - the width of each tab name must fit within the screen for all common screen sizes
  • No changes will be made the way pages load (i.e. page will refresh when the talk tab is pressed)
  • (For future iterations) This will be the only link to the talk page on the page

Prototype

https://mobile-contributions.firebaseapp.com/nav4.html

Open questions

  • Does this have to be a separate page or can we make it a tab?

Note

we will start with a link to the talk page as-is right now and continue as per the flows below
https://wikimedia.invisionapp.com/freehand/document/iq8w2eQex

Event Timeline

ovasileva triaged this task as Normal priority.Nov 28 2018, 8:20 PM
ovasileva created this task.
ovasileva updated the task description. (Show Details)Dec 5 2018, 5:37 PM
phuedx added a subscriber: phuedx.Dec 5 2018, 5:43 PM

Notes:

  • Making the toggle a link maximises the number of users that we support (all browsers can follow a hyperlink).
  • When investigating whether we can fetch the content of the talk page via an API (making it more a tab switch than a link follow), please consider that the mobileview API is intended to be deprecated (see T186627: [EPIC] Deprecate the MobileView API)
  • What happens to the talk overlay in this treatment?
ovasileva updated the task description. (Show Details)Dec 6 2018, 4:10 PM

On T212216#4853533 @Niedzielski asked:


@alexhollender, what do you think of moving the add topic button left one? The effect would be to replace the download button. This would keep the edit and star button positions stable between main and talk namespaces.

Short answer: I think that's a good idea
Longer answer: we're still deciding whether we'll eventually use the version of the talk page shown above, or the mobile version. If we stick with the wiki one, there will be further changes to the UI, with the eventual toolbars looking like:

Since all the subtasks are resolved, can this be resolved?

ovasileva closed this task as Resolved.Mar 20 2019, 3:00 PM
ovasileva claimed this task.

@phuedx - yup, we're all done here!

ovasileva updated the task description. (Show Details)Mar 20 2019, 3:00 PM